Name:		raul
Version:	0.6.0
Release:	2%{?dist}
Summary:	Realtime Audio Utility Library

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://drobilla.net/software/raul/
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.bz2
Patch0:		%{name}-libdir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	glib2-devel
BuildRequires:	python

%description
Raul (Realtime Audio Utility Library) is a lightweight C++ convenience
library for realtime programming, with a bias towards audio applications on
GNU/Linux machines.

%package devel
Summary:	Development libraries and headers for %{name}
Group:		Development/Libraries
Requires:	boost-devel
Requires:	glib2-devel
Requires:	liblo-devel
Requires:	pkgconfig
Requires:	%{name} = %{version}-%{release}

%description devel
Raul (Realtime Audio Utility Library) is a lightweight C++ convenience
library for realtime programming, with a bias towards audio applications on
GNU/Linux machines.

This package contains the headers and development libraries for %{name}.


%prep
%setup -q
%patch0 -p1 -b .libdir

%build
export CXXFLAGS="$RPM_OPT_FLAGS"

./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--test \
	--build-docs \
	--htmldir=%{_docdir}/%{name}-devel-%{version}

./waf build -v %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ./waf install
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so*


%check
pushd build/default/tests
	export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}
	# Only run those tests that don't need user intervention
	./atomic_test
	./list_test
	./midi_ringbuffer_test
	./path_test
	./ringbuffer_test
	./smf_test
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_docdir}/%{name}-devel-%{version}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/
# Exclude headers that look for redlandmm which is unavailable to
# Fedora for the time being. These lines can be removed whenever 
# redlandmm becomes available
%exclude %{_includedir}/%{name}/AtomRDF.hpp
%exclude %{_includedir}/%{name}/Stateful.hpp

%changelog
* Sat Jan 30 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-2
- Make macro usage more consistent

* Tue Dec 08 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.6.0-1
- Update to 0.6.0. Build system uses waf now.
- Drop upstreamed gcc44 patch
- Removed irrelevant license comment
- Change LD_PRELOAD to LD_LIBRARY_PATH in %%check
- Exclude the headers that require redlandmm

* Thu Nov 26 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.5.1-1
- Initial build
